/**
 * 
 */
package com.ampiere.web.struts.search;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

import com.ampiere.dto.CodeValue;
import com.jware.base.web.struts.jWareBaseForm;

/**
 * @author Shinjirito
 *
 */
public class LocationActionForm extends jWareBaseForm implements Serializable {
	private static final long serialVersionUID = -5374156899553586312L;

	private String laddress1;
	private String faddress1;
	private String laddress2;
	private String faddress2;
	private String laddress3;
	private String faddress3;
	private String laddress4;
	private String faddress4;
	private String lcity;
	private String fcity;
	private String lcountry;
	private String lregion;
	private String lpostal;
	private String fpostal;
	private String lpostalAdd;
	private String fpostalAdd;
	private String lpostalLookup;
	private String locationOption;
	private String countrySelected;
	private String regionSelected;
	private ArrayList<CodeValue> countryList;
	private ArrayList<CodeValue> regionList;
	private boolean addressLinesLocalReverse;
	private String locationId;
	private String locationName;

	private String postalId;
	private int windowNo;
	private int processId;
	private int column_ID;
	private int countryId;
	private String columnName;
	private String title;
	private String submitBtnTitle;
	private String closeBtnTitle;
	public String getColumnName() {
		return columnName;
	}
	public void setColumnName(String columnName) {
		this.columnName = columnName;
	}
	public int getWindowNo() {
		return windowNo;
	}
	public void setWindowNo(int windowNo) {
		this.windowNo = windowNo;
	}
	public String getTitle() {
		return title;
	}
	public void setTitle(String title) {
		this.title = title;
	}
	public String getSubmitBtnTitle() {
		return submitBtnTitle;
	}
	public void setSubmitBtnTitle(String submitBtnTitle) {
		this.submitBtnTitle = submitBtnTitle;
	}
	public String getCloseBtnTitle() {
		return closeBtnTitle;
	}
	public void setCloseBtnTitle(String closeBtnTitle) {
		this.closeBtnTitle = closeBtnTitle;
	}
	public int getProcessId() {
		return processId;
	}
	public void setProcessId(int processId) {
		this.processId = processId;
	}
	public String getFaddress1() {
		return faddress1;
	}
	public void setFaddress1(String address1) {
		faddress1 = address1;
	}
	public String getFaddress2() {
		return faddress2;
	}
	public void setFaddress2(String address2) {
		faddress2 = address2;
	}
	public String getFaddress3() {
		return faddress3;
	}
	public void setFaddress3(String address3) {
		faddress3 = address3;
	}
	public String getFaddress4() {
		return faddress4;
	}
	public void setFaddress4(String address4) {
		faddress4 = address4;
	}
	public String getFcity() {
		return fcity;
	}
	public void setFcity(String city) {
		fcity = city;
	}
	public String getFpostal() {
		return fpostal;
	}
	public void setFpostal(String postal) {
		fpostal = postal;
	}
	public String getFpostalAdd() {
		return fpostalAdd;
	}
	public void setFpostalAdd(String postalAdd) {
		fpostalAdd = postalAdd;
	}
	public String getLaddress1() {
		return laddress1;
	}
	public void setLaddress1(String address1) {
		laddress1 = address1;
	}
	public String getLaddress2() {
		return laddress2;
	}
	public void setLaddress2(String address2) {
		laddress2 = address2;
	}
	public String getLaddress3() {
		return laddress3;
	}
	public void setLaddress3(String address3) {
		laddress3 = address3;
	}
	public String getLaddress4() {
		return laddress4;
	}
	public void setLaddress4(String address4) {
		laddress4 = address4;
	}
	public String getLcity() {
		return lcity;
	}
	public void setLcity(String city) {
		lcity = city;
	}
	public String getLcountry() {
		return lcountry;
	}
	public void setLcountry(String country) {
		lcountry = country;
	}
	public String getLpostal() {
		return lpostal;
	}
	public void setLpostal(String postal) {
		lpostal = postal;
	}
	public String getLpostalAdd() {
		return lpostalAdd;
	}
	public void setLpostalAdd(String postalAdd) {
		lpostalAdd = postalAdd;
	}
	public String getLpostalLookup() {
		return lpostalLookup;
	}
	public void setLpostalLookup(String postalLookup) {
		lpostalLookup = postalLookup;
	}
	public String getLregion() {
		return lregion;
	}
	public void setLregion(String region) {
		lregion = region;
	}
	public List<CodeValue> getCountryList() {
		return countryList;
	}
	public void setCountryList(ArrayList<CodeValue> countryList) {
		this.countryList = countryList;
	}
	public String getCountrySelected() {
		return countrySelected;
	}
	public void setCountrySelected(String countrySelected) {
		this.countrySelected = countrySelected;
	}
	public List<CodeValue> getRegionList() {
		return regionList;
	}
	public void setRegionList(ArrayList<CodeValue> regionList) {
		this.regionList = regionList;
	}
	public String getRegionSelected() {
		return regionSelected;
	}
	public void setRegionSelected(String regionSelected) {
		this.regionSelected = regionSelected;
	}
	public boolean isAddressLinesLocalReverse() {
		return addressLinesLocalReverse;
	}
	public void setAddressLinesLocalReverse(boolean addressLinesLocalReverse) {
		this.addressLinesLocalReverse = addressLinesLocalReverse;
	}
	public String getLocationOption() {
		return locationOption;
	}
	public void setLocationOption(String locationOption) {
		this.locationOption = locationOption;
	}
	public int getColumn_ID() {
		return column_ID;
	}
	public void setColumn_ID(int column_ID) {
		this.column_ID = column_ID;
	}
	public int getCountryId() {
		return countryId;
	}
	public void setCountryId(int countryId) {
		this.countryId = countryId;
	}
	public String getPostalId() {
		return postalId;
	}
	public void setPostalId(String postalId) {
		this.postalId = postalId;
	}
	public String getLocationId() {
		return locationId;
	}
	public void setLocationId(String locationId) {
		this.locationId = locationId;
	}
	public String getLocationName() {
		return locationName;
	}
	public void setLocationName(String locationName) {
		this.locationName = locationName;
	}
}
